Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.launcher.descriptor
Class PropertiesDescriptorParser

    java.lang.Object
      org.mule.module.launcher.descriptor.PropertiesDescriptorParser

All Implemented Interfaces:
  DescriptorParser

    public class PropertiesDescriptorParser

extends Object
implements DescriptorParser

Field Summary
`protected static String` | `PROPERTY_CLASSLOADER_PARENT_FIRST`
`protected static String` | `PROPERTY_CONFIG_BUILDER`
`protected static String` | `PROPERTY_CONFIG_RESOURCES`
`protected static String` | `PROPERTY_DOMAIN`
`protected static String` | `PROPERTY_ENCODING`
`protected static String` | `PROPERTY_PRIVILEDGED`
`protected static String` | `PROPERTY_REDEPLOYMENT_ENABLED`

Constructor Summary
`PropertiesDescriptorParser()`

Method Summary
`String` | `getSupportedFormat()`
`ApplicationDescriptor` | `parse(File descriptor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_ENCODING

    protected static final String PROPERTY_ENCODING

See Also:
  Constant Field Values

### PROPERTY_CONFIG_BUILDER

    protected static final String PROPERTY_CONFIG_BUILDER

See Also:
  Constant Field Values

### PROPERTY_DOMAIN

    protected static final String PROPERTY_DOMAIN

See Also:
  Constant Field Values

### PROPERTY_CLASSLOADER_PARENT_FIRST

    protected static final String PROPERTY_CLASSLOADER_PARENT_FIRST

See Also:
  Constant Field Values

### PROPERTY_CONFIG_RESOURCES

    protected static final String PROPERTY_CONFIG_RESOURCES

See Also:
  Constant Field Values

### PROPERTY_REDEPLOYMENT_ENABLED

    protected static final String PROPERTY_REDEPLOYMENT_ENABLED

See Also:
  Constant Field Values

### PROPERTY_PRIVILEDGED

    protected static final String PROPERTY_PRIVILEDGED

See Also:
  Constant Field Values

Constructor Detail

### PropertiesDescriptorParser

    public PropertiesDescriptorParser()

Method Detail

### parse

    public ApplicationDescriptor parse(File descriptor)
                                throws IOException

  Specified by:
    `parse` in interface `DescriptorParser`
  Throws:
    `IOException`

### getSupportedFormat

    public String getSupportedFormat()

  Specified by:
    `getSupportedFormat` in interface `DescriptorParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.